Update clang on buildbot workers ahead of Octave 6.1

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Update clang on buildbot workers ahead of Octave 6.1

mmuetzel
The clang buildbots occasionally experience a segmentation fault while running the test suite. See also [1].

The buildbots are using versions 4 and 5 of clang (judging by the worker names). The current version of clang is 9.0.1.
Mike couldn't reproduce the segmentation faults with version 6 of clang. So it might be possible that they are caused by a bug in clang that is already fixed in newer versions.

We probably won't need to update to a cutting edge version.
But would it be possible to update the versions of clang used by the buildbot workers to check if that makes the segmentation faults disappear?

Markus

[1]: https://savannah.gnu.org/bugs/?57591